Configure Application Secret Manager

API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

PATCH
/applications/{uuid}/secret-manager

Configure the secret manager source used by an application.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

integration_token_uuid*string
settings?object

Response Body

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/applications/string/secret-manager" \  -H "Content-Type: application/json" \  -d '{    "integration_token_uuid": "string"  }'
Empty
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}